<?php
use Carbon_Fields\Container;
use Carbon_Fields\Field;

add_action( 'carbon_fields_register_fields', 'amp_content' );
function amp_content() {
    $arrPostTypes = ['page'];
    Container::make( 'post_meta', __( 'AMP Content' ) )
        ->show_on_post_type($arrPostTypes)
        ->add_tab( __('AMP Content'), array(
            Field::make( 'rich_text', 'amp_content', 'AMP Content' ),
        ) );
}